package lingtao.net.service;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import lingtao.net.bean.SysPermission;
import lingtao.net.dao.SysPermissionMapper;

@Service
public class SysPermissionService {

	@Autowired
	SysPermissionMapper sysPermissionMapper;

	public List<SysPermission> getAll() {
		return sysPermissionMapper.getAll();
	}

	public List<SysPermission> getParentPers() {
		return sysPermissionMapper.getParentPers();
	}

	public List<SysPermission> getPersByUserId(Integer userId) {
		return sysPermissionMapper.getPersByUserId(userId);
	}

}
